Package fr.gouv.vitam.worker.core.plugin.preservation

# Class PreservationAccessionRegisterActionHandler

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.handler.AbstractAccessionRegisterAction
fr.gouv.vitam.worker.core.plugin.preservation.PreservationAccessionRegisterActionHandler

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class PreservationAccessionRegisterActionHandler extends AbstractAccessionRegisterAction
Accession Register Handler

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.worker.core.handler.AbstractAccessionRegisterAction

  `AbstractAccessionRegisterAction.AccessionRegisterInfo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreservationAccessionRegisterActionHandler()`
  Empty Constructor AccessionRegisterActionHandler

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ItemStatus`
  `execute(WorkerParameters params, HandlerIO handler)`
  Execute an action
  `protected String`
  `getHandlerId()`
  `static String`
  `getId()`
  `protected LogbookTypeProcess`
  `getOperationType()`
  `protected void`
  `prepareAccessionRegisterInformation(WorkerParameters params, HandlerIO handler, AbstractAccessionRegisterAction.AccessionRegisterInfo accessionRegisterInfo)`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.AbstractAccessionRegisterAction

  `checkMandatoryIOParameter, close`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PreservationAccessionRegisterActionHandler

    public PreservationAccessionRegisterActionHandler()
    Empty Constructor AccessionRegisterActionHandler

- ## Method Details

  - ### execute

    public ItemStatus execute(WorkerParameters params, HandlerIO handler)
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `AbstractAccessionRegisterAction`
    Parameters:
      `params` - `WorkerParameters`
      `handler` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code

  - ### getHandlerId

    protected String getHandlerId()
    Specified by:
      `getHandlerId` in class `AbstractAccessionRegisterAction`

  - ### prepareAccessionRegisterInformation

    protected void prepareAccessionRegisterInformation(WorkerParameters params, HandlerIO handler, AbstractAccessionRegisterAction.AccessionRegisterInfo accessionRegisterInfo) throws ProcessingException, InvalidParseOperationException
    Specified by:
      `prepareAccessionRegisterInformation` in class `AbstractAccessionRegisterAction`
    Throws:
      `ProcessingException`
      `InvalidParseOperationException`

  - ### getOperationType

    protected LogbookTypeProcess getOperationType()
    Specified by:
      `getOperationType` in class `AbstractAccessionRegisterAction`

  - ### getId

    public static String getId()
    Returns:
      HANDLER_ID